<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use App\Voter;

class KehadiranController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($id)
    {
        $electionId = 8; // fixed election ID
    
        $totalkehadiranAll = Voter::where('election_id', $electionId)
                                  ->whereIn('kehadiran', [1, 2])
                                  ->count();
    
        $votes = Voter::where('election_id', $electionId)->count();
    
        $voters = Voter::where('election_id', $electionId)->get();
    
        $pdf = App::make('dompdf.wrapper');
        $pdf->loadView('report.kehadiran-pdf', compact(
            'voters',
            'totalkehadiranAll',
            'votes'
        ));
        return $pdf->stream();
    }
    
    

    private function getKehadiranAll($id)
    {
        return \App\Voter::where('kehadiran','!=', 0)->get();

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
